'Sterowanie PLL na TSA6057, 4 kanay nad/odb dla pasma 4m (70MHz)
'Kwarc do TSA6057 4MHz
'pin 5 - PTT
'pin 6 - P1
'pin 7 - P2
'pin 2 - SDA
'pin 3 - SCL
'dziaa na fuse bitach fabrycznych
'5.06.2012
'***************************
$regfile = "ATtiny13.DAT"
$crystal = 9600000
$hwstack = 5
$swstack = 10
$framesize = 10
Dim Db0_db1 As Long At &H60
Dim Db0 As Byte
Dim Db1 As Byte
Dim Freq As Long At &H69
Dim Freq_temp As Long At &H77

Config Sda = Portb.3
Config Scl = Portb.4

Config Pinb.0 = Input
Portb.0 = 1
Ptt Alias Pinb.0

Config Pinb.1 = Input
Portb.1 = 1
P1 Alias Pinb.1

Config Pinb.2 = Input
Portb.2 = 1
P2 Alias Pinb.2

Freq = 702600

Do

If Ptt = 1 Then
If P1 = 0 And P2 = 0 Then Freq = 702600
If P1 = 0 And P2 = 1 Then Freq = 702700
If P1 = 1 And P2 = 0 Then Freq = 702800
If P1 = 1 And P2 = 1 Then Freq = 702900
Freq_temp = Freq + 107000
Gosub I2c
Bitwait Ptt , Reset
Else
Freq_temp = Freq
Gosub I2c
Bitwait Ptt , Set
End If

Loop
End

I2c:
Db0_db1 = Freq_temp / 125
Shift Db0_db1 , Left , 1
Db0 = Inp(&H60)
Db1 = Inp(&H61)

I2cstart
I2cwbyte 196                                                'dla adresu C4H
I2cwbyte 3
I2cwbyte 0
I2cwbyte Db0
I2cwbyte Db1
I2cwbyte 96
I2cstop
Return